/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pjv0;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.GridLayout;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;

/**
 *
 * @author Radek MalinskĂ˝
 */
public class CitacGUI extends CitacObjekt implements ActionListener {

    private JButton zvetsit;
    private JButton zmensit;
    private JButton nastavit;
    private JButton konec;
    private JLabel display;

    public CitacGUI() {
        // nastaveni hodnoty citace v konstruktoru CitacObjekt(int ph)
        super(0);

        // vytvoreni ramce a nastaveni titulku okna
        JFrame frame = new JFrame("GUI citac");
        // nastaveni velikosti okna
        frame.setSize(400, 200);
        // ziskani velikosti obrazovky a nastaveni polohy okna citace
        Dimension obrazovka = Toolkit.getDefaultToolkit().getScreenSize();
        frame.setLocation(obrazovka.width / 3, obrazovka.height / 3);
        // po uzavreni okna se aplikace ukonci
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        // vytvoreni kontejneru pro ovladaci prvky
        Container kontejner = new Container();
        kontejner.setLayout(new BorderLayout());
        frame.setContentPane(kontejner);

        // display s hodnotou citace pridany do kontejneru
        display = new JLabel(getCitacHodnota());
        display.setHorizontalAlignment(SwingConstants.CENTER);
        display.setFont(new Font(Font.MONOSPACED, Font.BOLD, 50));
        kontejner.add(display, BorderLayout.NORTH);

        // vytvoreni tlacitek
        zvetsit = new JButton("Zvetsit +");
        zmensit = new JButton("Zmensit -");
        nastavit = new JButton("Nastavit");
        konec = new JButton("Konec");

        // prirazeni udalosti pro kliknuti na tlacitko
        zvetsit.addActionListener(this);
        zmensit.addActionListener(this);
        nastavit.addActionListener(this);
        konec.addActionListener(this);

        // pridani tlacitek do panelu
        JPanel panel = new JPanel(new GridLayout(2, 0));
        panel.add(zvetsit);
        panel.add(zmensit);
        panel.add(nastavit);
        panel.add(konec);

        // pridani panelu do kontejneru
        kontejner.add(panel, BorderLayout.SOUTH);

        // zobrazit okno
        frame.setVisible(true);
    }

    /**
     * Obsluhovac udalosti kliknuti na tlacitko
     * @param e JButton ActionEvent
     */
    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == zvetsit) {
            this.zvetsit();
        } else if (e.getSource() == zmensit) {
            this.zmensit();
        } else if (e.getSource() == nastavit) {
            this.nastavit();
        } else {
            System.exit(0);
        }
        // aktualizace zobrazovane hodnoty citace
        display.setText(getCitacHodnota());
    }

    /**
     * Vrati hodnotu citace jako String namisto int
     * @return String hodnota citace
     */
    private String getCitacHodnota() {
        return Integer.toString(this.hodnota());
    }

    public static void main(String[] args) {
        new CitacGUI();
    }
}